LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XConfigurationChangeListener Interface Reference

A listener for configuration changes is called when it has been registered at the configuration controller and a configuration change occurs. More...

`import"XConfigurationChangeListener.idl";`

Inheritance diagram for XConfigurationChangeListener:

## Public Member Functions
void | notifyConfigurationChange ([in] ConfigurationChangeEvent aEvent)
| The exact time of when a listener is called (before the change takes place, during the change, or when the change has been made) depends on the change event. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

A listener for configuration changes is called when it has been registered at the configuration controller and a configuration change occurs.

## Member Function Documentation

## ◆ notifyConfigurationChange()

void notifyConfigurationChange | ( | [in] ConfigurationChangeEvent | aEvent | ) |

The exact time of when a listener is called (before the change takes place, during the change, or when the change has been made) depends on the change event.

The order in which listeners are called is the order in which they are registered (First registered, first called.)

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/framework/XConfigurationChangeListener.idl